Upgrade order when updating Messaging Gateway 9.5.x on VMWare to Messaging Gateway 10

Article:TECH198171  |  Created: 2012-10-10  |  Updated: 2013-02-14  |  Article URL http://www.symantec.com/docs/TECH198171
Article Type
Technical Solution


Issue



Symantec Messaging Gateway (SMG) 9.5.4 running on ESXi Server 3.5 needs to be updated to SMG 10.0.0 or later but SMG 10.0.0 is only supported on VMWare ESXi 4.0 or greater and it is unclear whether to update the virtual infrastructure or SMG software first.


Solution



The supported update order when migrating from SMG 9.5.x to SMG 10 when running on virtual infrastructure earlier than ESXi 4.1 is as follows:

1. Shut down the SMG virtual machines
2. Update the VMWare installation to ESXi 4.1 or later
3. Restart the SMG virtual machines
4. Update SMG to the latest release via the Control Center Administration->Version->Updates page
 
SMG 9.5.x will run without issue on ESXi 4.1 or later and so the underlying VMWare installation should be updated prior to updating the SMG virtual machine software.

For reference, the SMG version / supported VMWare matrix is as follows:

SMG version Supported VMWare versions
9.5.0 ESX / ESXi / vSphere 3.5, 4.0, 4.1
9.5.1 ESX / ESXi / vSphere 3.5, 4.0, 4.1
9.5.2 ESX / ESXi / vSphere 3.5, 4.0, 4.1
9.5.3 ESX / ESXi / vSphere 3.5, 4.0, 4.1
9.5.4 ESX / ESXi / vSphere 3.5, 4.0, 4.1, 5.0
10.0.x ESX / ESXi / vSphere 4.0, 4.1, 5.0

 

Additional References

http://www.vmware.com/pdf/vi3_35/esx_3/r35/vi3_35_25_upgrade_guide.pdf





Article URL http://www.symantec.com/docs/TECH198171


Terms of use for this information are found in Legal Notices